USN-6654-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6654-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6654-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6654-1
Related
Published
2024-02-26T03:46:59.131387Z
Modified
2024-02-26T03:46:59.131387Z
Summary
roundcube vulnerability
Details

It was discovered that Roundcube Webmail incorrectly sanitized characters in the linkrefs text messages. An attacker could possibly use this issue to execute a cross-site scripting (XSS) attack. (CVE-2023-43770)

References

Affected packages

Ubuntu:Pro:18.04:LTS / roundcube

Package

Name
roundcube

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.3.6+dfsg.1-1ubuntu0.1~esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "roundcube-core": "1.3.6+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-pgsql": "1.3.6+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-plugins": "1.3.6+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-mysql": "1.3.6+dfsg.1-1ubuntu0.1~esm3",
            "roundcube": "1.3.6+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-sqlite3": "1.3.6+dfsg.1-1ubuntu0.1~esm3"
        }
    ]
}

Ubuntu:Pro:20.04:LTS / roundcube

Package

Name
roundcube

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.4.3+dfsg.1-1ubuntu0.1~esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "roundcube-core": "1.4.3+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-pgsql": "1.4.3+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-plugins": "1.4.3+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-mysql": "1.4.3+dfsg.1-1ubuntu0.1~esm3",
            "roundcube": "1.4.3+dfsg.1-1ubuntu0.1~esm3",
            "roundcube-sqlite3": "1.4.3+dfsg.1-1ubuntu0.1~esm3"
        }
    ]
}

Ubuntu:Pro:22.04:LTS / roundcube

Package

Name
roundcube

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.5.0+dfsg.1-2ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "roundcube-core": "1.5.0+dfsg.1-2ubuntu0.1~esm2",
            "roundcube-pgsql": "1.5.0+dfsg.1-2ubuntu0.1~esm2",
            "roundcube-plugins": "1.5.0+dfsg.1-2ubuntu0.1~esm2",
            "roundcube-mysql": "1.5.0+dfsg.1-2ubuntu0.1~esm2",
            "roundcube": "1.5.0+dfsg.1-2ubuntu0.1~esm2",
            "roundcube-sqlite3": "1.5.0+dfsg.1-2ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:23.10 / roundcube

Package

Name
roundcube

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.6.2+dfsg-1ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "roundcube-core": "1.6.2+dfsg-1ubuntu0.1",
            "roundcube-pgsql": "1.6.2+dfsg-1ubuntu0.1",
            "roundcube-plugins": "1.6.2+dfsg-1ubuntu0.1",
            "roundcube-mysql": "1.6.2+dfsg-1ubuntu0.1",
            "roundcube": "1.6.2+dfsg-1ubuntu0.1",
            "roundcube-sqlite3": "1.6.2+dfsg-1ubuntu0.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / roundcube

Package

Name
roundcube

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.2~beta+dfsg.1-0ubuntu1+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "roundcube-core": "1.2~beta+dfsg.1-0ubuntu1+esm3",
            "roundcube-pgsql": "1.2~beta+dfsg.1-0ubuntu1+esm3",
            "roundcube-plugins": "1.2~beta+dfsg.1-0ubuntu1+esm3",
            "roundcube-mysql": "1.2~beta+dfsg.1-0ubuntu1+esm3",
            "roundcube": "1.2~beta+dfsg.1-0ubuntu1+esm3",
            "roundcube-sqlite3": "1.2~beta+dfsg.1-0ubuntu1+esm3"
        }
    ]
}